<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado  = $_SESSION['idUsuarioLogado'];
$dataHojeHora   = date("Y-m-d H:i");


$opcaoConfirmacao = $_POST['opcaoConfirmacao'];

switch ($opcaoConfirmacao) {
  case "confirmar-embloco":
    $opcaoFiltro    = $_POST['opcaoFiltro'];
    $chaveDigitada  = $_POST['chaveDigitada'];
    $totalChaves    = count($chaveDigitada);
    for ($contarChaves = 0; $contarChaves < $totalChaves; $contarChaves++) {

      $separaIdChave  = explode('#', $chaveDigitada[$contarChaves]);
      $idAgendamento  = str_replace("idCampoChave", "", $separaIdChave[0]);
      $numeroChave    = $separaIdChave[1];
      $sqlConfirmaChave = "UPDATE reg_tb_agendamentos SET
    status_agendamento='V',
    id_usuario_confirmou='$usuarioLogado',
    quando_confirmou='$dataHojeHora'
    WHERE id_agendamento='$idAgendamento'
    AND chave_confirmacao='$numeroChave'";
      $stmConfirmaChave = $rsConexao->prepare($sqlConfirmaChave);
      $stmConfirmaChave->execute();
    }
    break;

  case "confirmar-telainicial":
    $dataHoje               = date("Y-m-d");
    $diaHoje                = str_pad(date("d"), 2, "0", STR_PAD_LEFT);
    $horaConfirmacao        = date("H:i");
    $idPaciente             = $_POST['idPaciente'];
    $idAgenda               = $_POST['idAgenda'];
    $tipoAtendimento        = $_POST['tipoAtendimento'];
    $observacaoAtendimento  = $_POST['observacaoAtendimento'];

    $sqlConfirmaChave = "UPDATE reg_tb_agendamentos SET
    status_agendamento='V',
    id_usuario_confirmou='$usuarioLogado',
    quando_confirmou='$dataHojeHora'
    WHERE (id_paciente='$idPaciente')
    AND (id_agenda='$idAgenda')
    AND (data_atendimento='$dataHoje')"; 
    $stmConfirmaChave = $rsConexao->prepare($sqlConfirmaChave);
    $stmConfirmaChave->execute();

    # -- incluir paciente na lista do profissional -- #
    $stmExisteRegistro  = $rsConexao->prepare("SELECT id_agendamentos_atender FROM reg_tb_agendamentos_atender WHERE id_paciente='$idPaciente' AND id_agenda='$idAgenda'");
    $stmExisteRegistro  ->execute();
    if($stmExisteRegistro->rowCount()==0){
      $sqlRegistraConfirmacao = "INSERT INTO reg_tb_agendamentos_atender(
      id_paciente,
      id_agenda,
      codigoestabelecimento_cnes,
      codigoprofissional_cnes,
      data_atendimento,
      horario_atendimento,
      tipo_atendimento_painel,
      observacao_recepcao_painel,
      status_atendimento_painel,
      status_atendimento_painel_mostrar,
      hora_confirmacao_painel,
      origem_atendimento
      ) SELECT '$idPaciente' as id_paciente,
      reg_tb_agenda.id_agenda,
      reg_tb_agenda.codigoestabelecimento_cnes,
      reg_tb_agenda.codigoprofissional_cnes,
      concat(reg_tb_agenda.ano_agenda,'-',reg_tb_agenda.mes_agenda,'-$diaHoje') as data_atendimento,
      reg_tb_agenda.horario_inicioagenda,
      '$tipoAtendimento' as tipo_atendimento_painel,
      '$observacaoAtendimento' as observacao_recepcao_painel,
      'Aguardando' as status_atendimento_painel,
      'Aguardando' as status_atendimento_painel_mostrar,
      '$horaConfirmacao' as hora_confirmacao_painel,
      'Regulação' as origem_atendimento
      FROM reg_tb_agenda
      WHERE (id_agenda='$idAgenda')";
    }else{
      $rsExisteRegistro = $stmExisteRegistro->fetch(PDO::FETCH_OBJ);
      $idAtendimento    = $rsExisteRegistro->id_agendamentos_atender;
      $sqlRegistraConfirmacao = "UPDATE reg_tb_agendamentos_atender SET 
      tipo_atendimento_painel='$tipoAtendimento',
      observacao_recepcao_painel='$observacaoAtendimento'
      WHERE id_agendamentos_atender='$idAtendimento'";
    }
      $stmAtualizaConfirmacao = $rsConexao->prepare($sqlRegistraConfirmacao);
      $stmAtualizaConfirmacao ->execute();
    echo "presencaConfirmada";
  break;


}
?>